Skip to main content

Get Payments

You can use this call to retrieve the payments made with an iDEAL QR transaction.

Prerequisite​

Get an access_token and use it as 'Bearer' token in your request. Find more details here.

Request​

GET https://api.pay.cm.com/api/v1/paymentmethods/idealqr/v1/transactions/{transactionId}/payments?pageSize=10&after=2006-01-02T15:04:05Z

Optional Query Parameters​

ParameterTypeDescriptionConstraints
pageSizeIntAn integer indicating the number of payments to retrieve.Default of 10.
afterString(RFC3339)Payments made after the given time will be considered.ISO 8601 date and time.

Response​

{
"total": 150,
"pageSize": 20,
"payments": [
{
"payment": "433a3406-3460-4795-b7ed-b5b9ad1aa9bf",
"transaction": "8db1e7fa-ba8a-4189-92fd-67a20217443d",
"idealTransactionId": "1234567890123456",
"status": "SUCCESS",
"createdAt": "2006-01-02T15:04:05Z",
"amount": 1200,
"consumerName": "John",
"consumerBic": "RABONL2U",
"consumerIban": "NL24RABO8487376045"
}
]
}

Parameters​

ParameterTypeDescriptionConstraints
totalIntThe total number of payments made for the transaction.
pageSizeInt(10...100)The number of payments retrieved in the response.
paymentsArray of payment objectsPayments made for the transaction.

Response codes​

HTTP statusDescription
200Transaction payments are successfully retrieved.
4XXClient error response (See message for details). This response is given when the User input was incorrect or something illegal was attempted (eg. using a service without having that service configured for the user, or not being authorized).
5XXServer error response (See message for details).